Subject: Re: [PATCH 00/21] ARCNET: Defibrillation

From: Joe Perches <[email-masked]>
Date: Tue, 05 May 2015 10:02:30 -0700

On Tue, 2015-05-05 at 18:43 +0200, Michael Grzeschik wrote:
> On Wed, Apr 29, 2015 at 08:49:25PM -0700, Joe Perches wrote:
> > I was away for a few days and while out I did another
> > restructuring of all the inb/outb/readb/writeb code
> > removing all the A<FOO> macros.  It removes all the
> > dependencies on ioaddr and names all the offsets with
> > new defines.
> > 
> > I could post if you like.
> 
> Sure, you should do that! I will rework my patches on top of them.

As it's ~400KB and very few are likely interested,
I'll send them to you privately.

> I would like to know what David things about the whole work.

I think he already said what he thinks.

As arcnet has neither a maintainer nor an active
user base, arcnet is in "bugfix only mode".

Testing coverage is the biggest issue.

If you want to become the maintainer for arcnet
and have sufficient time and hardware to verify
that changes don't break things, great!

Responsibility then shifts to you.

Enjoy! (and thanks)